Subject: Re: [PATCH] fix cfg80211 WE compat code

From: Pavel Roskin <[email-masked]>
Date: Fri, 22 Dec 2006 00:30:46 -0500

On Thu, 2006-12-21 at 21:53 -0500, Pavel Roskin wrote:
> On Sun, 2006-12-10 at 17:21 +0100, Johannes Berg wrote:
> > John, please apply this to wireless-dev if Pavel says it works (I think
> > it should).
> 
> Yes, it's working for me.  Please apply the patch.

Actually, iwpriv without arguments is still hosed.  In this case,
cfg80211_wext_ioctl() returns -EOPNOTSUPP.

I also noticed that cfg80211_wext_ioctl() sometimes returns 0 although
no drivers I'm using are cfg80211 capable.

It looks like we need a better solution.  I'll try to be more responsive
when it comes to testing.

-- 
Regards,
Pavel Roskin